!> Module containing a class abstract_base_t, which is a parental 
!! class for all other classes in 4neuro. It makes creating a 
!! common container for all classes possible.
!!
!! @author Martin Beseda
!! @date 2018
module abstract_base_m

    implicit none

    public

    !------------------!-----------------------------------------
    ! Type definitions !
    !------------------!    

    !-----------------------!------------------------------------
    ! class abstract_base_t !
    !-----------------------!

    !> Abstract class covering all the other classes in 4neuro
    type, abstract :: abstract_base_t
    end type

end module abstract_base_m
